Bug 597070 - Vms are crashing and/or corrupted after live migration
Summary: Vms are crashing and/or corrupted after live migration
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 04:02 UTC by Thomas S Hatch
Modified: 2011-06-10 17:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 17:45:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas S Hatch 2010-05-28 04:02:32 UTC
Description of problem:
My setup is on a bladecenter running f13 and running libvirt kvm images out of a nfs share.  The kvms are running very well, but when they are migrated across blades about %70 of the time the vms exhibit strange behavior after migrating.  either the root filesystems on the vms are mounted read only after migration or the vm segfaults.

Version-Release number of selected component (if applicable):
qemu-kvm 0.12.3-8.fc13
libvirt 0.7.7-3

How reproducible:
occurs about %70 of the time when migrating

Steps to Reproduce:
1. migrate vms between IBM bladecenter blades using a nfs nas for shared storage
  
Actual results:
vms are crashing

Expected results:
for migration to work

Additional info:

Comment 1 Daniel Berrange 2010-05-28 08:35:06 UTC
This is a known issue, resolved by this upstream patch

https://www.redhat.com/archives/libvir-list/2010-May/msg00385.html


As a temporary workaround edit /etc/libvirt/qemu.conf and set user='root' and group='root' and then restart libvirtd. Do this on all virt hosts you migrate between.

Comment 2 Bug Zapper 2011-06-02 13:08:38 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Cole Robinson 2011-06-10 17:45:40 UTC
Since that patch is likely in F14/F15, closing as CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.